Subject: Re: bug#68776: bug with escape characters in pattern

From: Paul Eggert <[email-masked]>
Date: Sun, 28 Jan 2024 18:35:35 -0800

On 2024-01-27 16:00, Brendan Richardson wrote:
> If you use input
> egrep "[^\\n\\t]" file
> 
> and the file contains a line with only n or t on it, those lines are also

This is the correct behavior. The command you mention is equivalent to

grep -E '[^nt\]' file

and this outputs all lines containing some character other than 'n', 
't', or '\'. A line containing only n or t should not be output.